FreeMat

- Main Page
- Related Pages

vtkInformationExecutivePortKey

Section: Visualization Toolkit Filtering Classes

# Usage

vtkInformationExecutivePortKey is used to represent keys in vtkInformation for values that are vtkExecutive instances paired with port numbers.

To create an instance of class vtkInformationExecutivePortKey, simply invoke its constructor as follows

      obj = vtkInformationExecutivePortKey

# Methods

The class vtkInformationExecutivePortKey has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkInformationExecutivePortKey class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkInformationExecutivePortKey = obj.NewInstance ()`
- `vtkInformationExecutivePortKey = obj.SafeDownCast (vtkObject o)`
- `vtkInformationExecutivePortKey = obj.(string name, string location)`
- `~vtkInformationExecutivePortKey = obj.()`
- `obj.Set (vtkInformation info, vtkExecutive , int )` - Get/Set the value associated with this key in the given information object.
- `vtkExecutive = obj.GetExecutive (vtkInformation info)` - Get/Set the value associated with this key in the given information object.
- `int = obj.GetPort (vtkInformation info)` - Get/Set the value associated with this key in the given information object.
- `obj.ShallowCopy (vtkInformation from, vtkInformation to)` - Copy the entry associated with this key from one information object to another. If there is no entry in the first information object for this key, the value is removed from the second.
- `obj.Report (vtkInformation info, vtkGarbageCollector collector)` - Report a reference this key has in the given information object.